"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _vueRouter = require("vue-router");

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { "default": obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj["default"] = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

var routes = [{
  path: "/",
  name: "Program",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Program.vue"));
    });
  }
}, {
  path: "/Channel",
  name: "Channel",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Channel.vue"));
    });
  }
}, {
  path: "/heightlight",
  name: "Heightlight",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Heightlight.vue"));
    });
  }
}, {
  path: "/realData",
  name: "RealData",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/RealData.vue"));
    });
  }
}, {
  path: "/liveChannel",
  name: "LiveChannel",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/LiveChannel.vue"));
    });
  }
}, {
  path: "/boutiqueColumn",
  name: "boutiqueColumn",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/BoutiqueColumn/BoutiqueColumn.vue"));
    });
  }
}, {
  path: "/activity",
  name: "Activity",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Activity/Activity.vue"));
    });
  }
}, {
  path: "/jugou",
  name: "Jugou",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Jugou/Jugou.vue"));
    });
  }
}, {
  path: "/radio",
  name: "Radio",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Radio/Radio.vue"));
    });
  }
}, {
  path: "/hardAdvertisement",
  name: "HardAdvertisement",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/HardAdvertisement/HardAdvertisement.vue"));
    });
  }
}, {
  path: "/advertisingEye",
  name: "AdvertisingEye",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/AdvertisingEye/AdvertisingEye.vue"));
    });
  }
}, {
  path: "/channelRanking",
  name: "ChannelRanking",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/ChannelRanking/ChannelRanking.vue"));
    });
  }
}, {
  path: "/reportForm",
  name: "ReportForm",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/ReportForm/ReportForm.vue"));
    });
  }
}, {
  path: "/radioBroadcast",
  name: "RadioBroadcast",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/RadioBroadcast.vue"));
    });
  }
}, {
  path: "/country",
  component: function component() {
    return Promise.resolve().then(function () {
      return _interopRequireWildcard(require("../views/Country/Index.vue"));
    });
  },
  children: [{
    path: "",
    // 频道全天节目
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/ChannelEPG/Channel.vue"));
      });
    }
  }, {
    path: "/country/customRanking",
    // 自定义时间段排行
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/CustomRanking/CustomRanking.vue"));
      });
    }
  }, {
    path: "/country/channelList",
    // 多维度筛选 频道时段排名
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/ChannelList/ChannelList.vue"));
      });
    }
  }, {
    path: "/country/singleDay",
    // 单天频道点分钟
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/SingleDay/SingleDay.vue"));
      });
    }
  }, {
    path: "/country/average",
    // 平均频道点分钟
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/Average/Average.vue"));
      });
    }
  }, {
    path: "/country/subRegion",
    // 频道分地收视（全国）
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/SubRegion/SubRegion.vue"));
      });
    }
  }, {
    path: "/country/channelRegion",
    // 频道分地区收视
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/ChannelRegion/ChannelRegion.vue"));
      });
    }
  }, {
    path: "/country/flowChannel",
    // 频道实时流入流出
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/FlowChannel/FlowChannel.vue"));
      });
    }
  }, {
    path: "/country/program",
    // 节目点分钟
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/Program/Program.vue"));
      });
    }
  }, {
    path: "/country/compete",
    // 节目竞争一览
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/Compete/Compete.vue"));
      });
    }
  }, {
    path: "/country/specificProgramQuery",
    // 具体节目剧目查询
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/SpecificProgramQuery/SpecificProgramQuery.vue"));
      });
    }
  }, {
    path: "/country/specificProgram",
    // 具体节目剧目排行
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/SpecificProgram/SpecificProgram.vue"));
      });
    }
  }, {
    path: "/country/abstractProgramQuery",
    // 抽象节目剧目查询
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/AbstractProgramQuery/AbstractProgramQuery.vue"));
      });
    }
  }, {
    path: "/country/abstractProgram",
    // 抽象节目剧目排行
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/AbstractProgram/AbstractProgram.vue"));
      });
    }
  }, {
    path: "/country/flow",
    // 单期节目流入流出
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/Flow/Flow.vue"));
      });
    }
  }, {
    path: "/country/abstract",
    // 抽象节目剧目分地区收视（全国）
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/Abstract/Abstract.vue"));
      });
    }
  }, {
    path: "/country/overlap",
    // 节目剧目重叠度
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/Overlap/Overlap.vue"));
      });
    }
  }, {
    path: "/country/scheduling",
    // 电视剧排播信息及表现（全国）
    component: function component() {
      return Promise.resolve().then(function () {
        return _interopRequireWildcard(require("../views/Scheduling/Scheduling.vue"));
      });
    }
  }]
}]; // 实时/单期 节目流入流出 共计2个  可以使用同一模块
// 具体/抽象 节目剧目 查询/排行  共计4个，可以使用一个模块

var router = (0, _vueRouter.createRouter)({
  history: (0, _vueRouter.createWebHashHistory)(process.env.BASE_URL),
  routes: routes
});
var _default = router;
exports["default"] = _default;